Merge commit '9e8bbe7d4d1dcd5fec491dbfbb98ed2038a7bed5'
authorMichael Niedermayer <michaelni@gmx.at>
Thu, 28 Aug 2014 23:08:57 +0000 (01:08 +0200)
committerMichael Niedermayer <michaelni@gmx.at>
Thu, 28 Aug 2014 23:08:57 +0000 (01:08 +0200)
* commit '9e8bbe7d4d1dcd5fec491dbfbb98ed2038a7bed5':
  license: Mention that vf_interlace is GPL, not LGPL

Conflicts:
LICENSE.md

Merged-by: Michael Niedermayer <michaelni@gmx.at>
1  2 
LICENSE.md

diff --cc LICENSE.md
@@@ -1,54 -1,27 +1,55 @@@
 -Libav:
 -======
 +#FFmpeg:
  
 -Most files in Libav are under the GNU Lesser General Public License version 2.1
 +Most files in FFmpeg are under the GNU Lesser General Public License version 2.1
  or later (LGPL v2.1+). Read the file COPYING.LGPLv2.1 for details. Some other
  files have MIT/X11/BSD-style licenses. In combination the LGPL v2.1+ applies to
 -Libav.
 +FFmpeg.
  
 -Some optional parts of Libav are licensed under the GNU General Public License
 +Some optional parts of FFmpeg are licensed under the GNU General Public License
  version 2 or later (GPL v2+). See the file COPYING.GPLv2 for details. None of
  these parts are used by default, you have to explicitly pass --enable-gpl to
 -configure to activate them. In this case, Libav's license changes to GPL v2+.
 +configure to activate them. In this case, FFmpeg's license changes to GPL v2+.
  
 -Specifically, the GPL parts of Libav are
 +Specifically, the GPL parts of FFmpeg are:
  
 +- libpostproc
 +- libmpcodecs
 +- optional x86 optimizations in the files
 +  libavcodec/x86/flac_dsp_gpl.asm
 +  libavcodec/x86/idct_mmx.c
 +- libutvideo encoding/decoding wrappers in
 +  libavcodec/libutvideo*.cpp
  - the X11 grabber in libavdevice/x11grab.c
 +- the swresample test app in
 +  libswresample/swresample-test.c
  - the texi2pod.pl tool
  - the following filters in libavfilter:
 +    - f_ebur128.c
      - vf_blackframe.c
      - vf_boxblur.c
 +    - vf_colormatrix.c
      - vf_cropdetect.c
 +    - vf_decimate.c
      - vf_delogo.c
 +    - vf_geq.c
 +    - vf_histeq.c
      - vf_hqdn3d.c
+     - vf_interlace.c
 +    - vf_kerndeint.c
 +    - vf_mcdeint.c
 +    - vf_mp.c
 +    - vf_owdenoise.c
 +    - vf_perspective.c
 +    - vf_phase.c
 +    - vf_pp.c
 +    - vf_pullup.c
 +    - vf_sab.c
 +    - vf_smartblur.c
 +    - vf_spp.c
 +    - vf_stereo3d.c
 +    - vf_super2xsai.c
 +    - vf_tinterlace.c
 +    - vsrc_mptestsrc.c
  
  Should you, for whatever reason, prefer to use version 3 of the (L)GPL, then
  the configure parameter --enable-version3 will activate this licensing option